Subject: Re: Cygwin survey: Next vim version with perl support?
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: 30 Apr 2003 13:53:15 +0200

Corinna Vinschen <[email-masked]> writes:

> The problem with vim is the number of configure options which do make
> different sense for different people.  What should I do?

You have two options: do them all, or do whichever you like most.
Others are free to add the missing packages they need.

> I've just checked the vim release on my Linux box and found out that
> it's also not built with any of the interpreter language support.

How odd.  When I checked *my* Linux box, it says I can get them all:

    $ apt-cache search vim
    elvis-tiny - Tiny vi compatible editor for the base system.
    nvi - 4.4BSD re-implementation of vi
    vim - Vi IMproved - enhanced vi editor
    vim-gtk - Vi IMproved - GTK version
    vim-perl - Vi IMproved, with perl scripting support
    vim-python - Vi IMproved, with python scripting support
    vim-ruby - Vi IMproved, with ruby scripting support
    vim-scripts - plugins for vim, adding bells and whistles
    vim-tcl - Vi IMproved, with tcl scripting support

> Of course I'm using my own handcrafted build of vim...

Of course, I'm using emacs.

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/